/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * Modified by
 * @author  Data Virtuality GmbH
 * @date    $Date$
 *  
 */
package com.google.code.or.binlog.impl.event;

import com.google.code.or.common.util.ToStringBuilder;

/**
 * 
 * @author Jingqi Xu
 *
 * 17.02.2015 Dmitry Pogorelov DVCORE-2597
 *      - added toShortString method
 */
public abstract class AbstractRowEvent extends AbstractBinlogEventV4 {
	//
	protected long tableId;
	protected int reserved;

	@Override
	public String toShortString() {
		return new ToStringBuilder()
		.append("tableId", tableId)
		.append("reserved", reserved)
		.append(",").toString(false);
	}
	
	/**
	 * 
	 */
	public long getTableId() {
		return tableId;
	}

	public void setTableId(long tableId) {
		this.tableId = tableId;
	}

	public int getReserved() {
		return reserved;
	}

	public void setReserved(int reserved) {
		this.reserved = reserved;
	}
}
