/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * Modified by
 * @author  Data Virtuality GmbH
 * @date    $Date$
 *  
 */
package com.google.code.or.binlog.impl.variable.user;

import com.google.code.or.common.util.MySQLConstants;
import com.google.code.or.common.util.ToStringBuilder;

/**
 * 
 * @author Jingqi Xu
 */
public class UserVariableReal extends AbstractUserVariable {
	//
	private static final long serialVersionUID = -1923524802608268624L;

	//
	public static final int TYPE = MySQLConstants.REAL_RESULT;

	//
	private final double value;
	
	/**
	 * 
	 */
	public UserVariableReal(double value) {
		super(TYPE);
		this.value = value;
	}
	
	/**
	 * 
	 */
	@Override
	public String toString() {
		return new ToStringBuilder(this)
		.append("value", value).toString();
	}

	/**
	 * 
	 */
	public Double getValue() {
		return this.value;
	}
}
