/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * Modified by
 * @author  Data Virtuality GmbH
 * @date    $Date$
 *  
 */
package com.google.code.or.binlog.impl.variable.user;

import com.google.code.or.common.util.MySQLConstants;
import com.google.code.or.common.util.ToStringBuilder;

/**
 * 
 * @author Jingqi Xu
 */
public class UserVariableString extends AbstractUserVariable {
	//
	private static final long serialVersionUID = -185623695228033153L;

	//
	public static final int TYPE = MySQLConstants.STRING_RESULT;

	//
	private final byte[] value;
	private final int collation;
	
	/**
	 * 
	 */
	public UserVariableString(byte[] value, int collation) {
		super(TYPE);
		this.value = value;
		this.collation = collation;
	}

	/**
	 * 
	 */
	@Override
	public String toString() {
		return new ToStringBuilder(this)
		.append("value", value)
		.append("collation", collation).toString();
	}
	
	/**
	 * 
	 */
	public byte[] getValue() {
		return this.value;
	}
	
	public int getCollation() {
		return collation;
	}
}
