/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * Modified by
 * @author  Data Virtuality GmbH
 * @date    $Date$
 *  
 */
package com.google.code.or.common.glossary;

import java.io.Serializable;
import java.util.List;

import com.google.code.or.common.util.ToStringBuilder;

/**
 * 
 * @author Jingqi Xu
 */
public class Row implements Serializable {
	//
	private static final long serialVersionUID = -955774066713078L;

	//
	// EXTENSION
	// ISSUE: DVCORE-2597
	// FIXED BY: Dmitry Pogorelov
	// DATE: 2015.02.03
	//private List<Column> columns;
	private List<ExtColumn> columns;
	// END EXTENSION
	/**
	 * 
	 */
	public Row() {
	}
	// EXTENSION
	// ISSUE: DVCORE-2597
	// FIXED BY: Dmitry Pogorelov
	// DATE: 2015.02.03
	//public Row(List<Column> columns) {
	public Row(List<ExtColumn> columns) {
	// END EXTENSION
		this.columns = columns;
	}

	/**
	 * 
	 */
	@Override
	public String toString() {
		return new ToStringBuilder(this)
		.append("columns", columns).toString();
	}
	
	/**
	 * 
	 */
	// EXTENSION
	// ISSUE: DVCORE-2597
	// FIXED BY: Dmitry Pogorelov
	// DATE: 2015.02.03
	// public List<Column> getColumns() {
	public List<ExtColumn> getColumns() {
	// END EXTENSION
		return columns;
	}

	// EXTENSION
	// ISSUE: DVCORE-2597
	// FIXED BY: Dmitry Pogorelov
	// DATE: 2015.02.03
	//public void setColumns(List<Column> columns) {
	public void setColumns(List<ExtColumn> columns) {
	// END EXTENSION
		this.columns = columns;
	}
}
