/**
 * Copyright © 2015 by Data Virtuality GmbH
 */
package com.google.code.or;

/**
 * @author Dmitry Pogorelov
 * @date 2015.01.19
 */

import com.google.code.or.binlog.BinlogEventListener;
import com.google.code.or.binlog.BinlogEventV4;
import com.google.code.or.binlog.impl.event.WriteRowsEventV2;
import com.google.code.or.common.glossary.ExtColumn;
import com.google.code.or.common.glossary.Row;
import java.util.List;
import java.util.concurrent.TimeUnit;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class DVOpenReplicatorTest {
	//
	private static final Logger LOGGER = LoggerFactory.getLogger(OpenReplicatorTest.class);

	/**
	 *
	 */
	public static void main(String args[]) throws Exception {
		//
		final OpenReplicator or = new OpenReplicator();
		or.setUser("root");
		or.setPassword("sasa");
		or.setHost("127.0.0.1");
		or.setPort(3306);
		or.setServerId(1234);
		//or.setBinlogFileName("mysql-bin.000006");
		or.connect();

		try {
			LOGGER.info("***** start test 1 *********");
			BinlogEventListener callback = new BinlogEventListener() {
				int i = 0;

				@Override
				public void onEvents(BinlogEventV4 event) {
					LOGGER.info("binlogFilename=" + or.getBinlogFileName() + " event = " + event.toString());
					/*if (event instanceof WriteRowsEventV2) {
						WriteRowsEventV2 writeRows = (WriteRowsEventV2)event;
						List<Row> rows = writeRows.getRows();
						for (ExtColumn column : rows.get(0).getColumns()) {
							LOGGER.info("Col value: " + column.toString());
						}
					}*/
					i++;
					try {
						if (i == 3) Thread.sleep(TimeUnit.MINUTES.toMillis(1));
						if (i == 50000) Thread.sleep(TimeUnit.MINUTES.toMillis(1));
					} catch (Exception e) {}
					if (i == 100000) or.stopReplication();
				}
			};
			or.getBinLogData(callback, "mysql-bin.000009", 0, "", TimeUnit.SECONDS.toMillis(10), true);
		} finally {
			or.disconnect();
		}
	}
}
